Subject: Re: B19.1 ftell(), fseek() bug
From: [email-masked]

15 May 1998 22:12:49 -0700
Message-ID: <[email-masked]>
References: <199805140759.JAA11137@dione>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

> Date:          Thu, 14 May 1998 09:59:36 +0200
> From:          "Carsten Roedel K8/DIC2 Tel. 4276" <[email-masked]>

> I discovered a problem with ftell() and fseek() in cygwin32-B19.1 under Win95.
> The problem is, when passing the position got from ftell() to fseek(),
> it does not end up at the same location!? Apparantly ftell does account
> the <cr>/<lf> in the byte stream, where fseek does NOT! It seems that
> fseek skips the <cr> bytes. I think that the ftell behaviour is correct,
> it should always tell the correct position in any byte stream, as it does.
> But, however, it is obvious that ftell and fseek must match together to
> be compatible. 

I remember the same behaviour from an old turboc.
My sollution was to write my own myfseek().

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".